#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define			mvers	%(echo %{version} | cut -d '.' -f1-2)
#-----------------------------------------------------------------------------
Name		:	babl
Version		:	0.1.108
Release		:	16.2.0.rel%{?dist}
Summary		:	A dynamic, any to any, pixel format conversion library

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv3+ and GPLv3+
URL		:	http://www.gegl.org/babl/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	gcc
BuildRequires	:	gobject-introspection
BuildRequires	:	gettext
BuildRequires	:	lcms2
BuildRequires	:	librsvg
BuildRequires	:	meson
BuildRequires	:	ninja
BuildRequires	:	vala

#-----------------------------------------------------------------------------
%description
Babl is a dynamic, any to any, pixel format conversion library.
It provides conversions between the myriad of buffer types
images can be stored in.
Babl doesn't only help with existing pixel formats, but also
facilitates creation of new and uncommon ones.
 

#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_libdir}/lib%{name}-%{mvers}.so.0*
%{_libdir}/girepository-1.0/Babl-%{mvers}.typelib

#=============================================================================
%package		devel

Summary		:	Headers for developing programs that will use %{name}

#-----------------------------------------------------------------------------
BuildRequires	:	pkg-config

Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
This package contains the libraries and header files needed for
developing with %{name}.
 
#-----------------------------------------------------------------------------
%files			devel
%{_includedir}/%{name}-%{mvers}/%{name}/%{name}.h
%{_includedir}/%{name}-%{mvers}/%{name}/%{name}-*.h
%{_libdir}/lib%{name}-%{mvers}.so
%{_libdir}/%{name}-%{mvers}/*.so
%{_libdir}/pkgconfig/%{name}-0.1.pc
%{_datadir}/gir-1.0/Babl-%{mvers}.gir
%{_datadir}/vala/vapi/%{name}-%{mvers}.deps
%{_datadir}/vala/vapi/%{name}-%{mvers}.vapi


#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

sed -i								\
  -e 's/Description:/description:/'				\
  meson.build

%{__mkdir_p} build
pushd build

meson								\
	--prefix=%{_prefix}					\
	--sysconfdir=%{_sysconfdir}				\
	--sbindir=%{_sbindir}					\
	--mandir=%{_mandir}					\
	--libdir=%{_libdir}					\
	--datadir=%{_datadir}					\
	--infodir=%{_infodir}					\
	..
	
%define _smp_mflags	-j%(/usr/bin/getconf _NPROCESSORS_ONLN)
ninja							\
	%{_smp_mflags}

popd


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	ninja						\
	-C build					\
	install

#-----------------------------------------------------------------------------
%changelog
